# CI/CD Debugging Exercises

Welcome!This repository contains 5 CI/CD pipeline exercises, each with intentional mistakes or misconfigurations for you to debug.Your goal: Identify and fix all issues so that each pipeline runs successfully.

## How to use this repository

1. Fork the repo. You will need to run pipelines under your own GitLab project.
2. Clone your Fork
3. Start Debugging!


Check the `.gitlab-ci.yml` file and each exercise folder. Start with Exercise 1 and work your way through Exercise 5.
Each exercise may contain multiple issues (syntax errors, wrong paths, missing keywords, job logic issues, etc.).


## Prerequisites

* A GitLab account with permissions to run pipelines
* Basic knowledge of: CI/CD, Git and YAML syntax
* (Optional) Docker installed locally if you want to experiment before pushing changes

 
## Exercises Overview

1. Linting
2. Testing
3. Building
4. Secrets
5. Docs

***


## License
For open source projects, say how it is licensed.
